<?php
abstract class BaseModel{
	
	private $_name;
	private $_description;
	
	function __construct(){
		$this->_name = strtolower( get_class($this) );
		$this->initiate();
	}
	
	function getName(){
		return $this->_name;
	}
	
	function initiate(){
		$this->describe();
	}
	
	function checkUnique($field, $value){
		return DB::getNbrParam($this->_name, $field, $value);
	}
	
	function describe(){
		$sql = "DESCRIBE `{$this->_name}`";
		$descriptions = DB::aq2d($sql);
		foreach($descriptions as &$descr)
			$this->_description[ $descr['Field'] ] = $descr;
	}
	
	function assign1d(&$arr){
		foreach($this as $key => &$value){
			if(key_exists($key, $arr))
				$value = $arr[$key];
		}
	}
	
	function insert(){
		$insert_arr = array();
		foreach($this as $key => $value){
			if(isset($value)){
				if(is_array($this->_description[ $key ]))
					$insert_arr[$key] = $value;
			}
		}
		return DB::insertRow($insert_arr, $this->_name);
	}
}
?>